Skip to main content

Delete Association

DELETE 

/v1/connector/delete_association/:workspace_id

Deletes the association between a connector and a collection.

Args:

connector_collection_repository (ConnectorCollectionRepository): The repository for managing associations between connectors and collections. workspace_id (str): The workspace_id of the connector to be created. user (TokenData): The token data of the authenticated user. connector_id (str): Optional to filter the response collection_id (str): Optional parameter to filter the response

Returns:

None, with HTTP 204

Important observations:

  • you can delete by name, id or both, but one is required
  • if only the connector_id is specified, it will delete ALL associations from this connector
  • if only the collection_id is specified, it will delete ALL associations from this collection
  • to delete a single association, specify the connector_id and the collection_id

Request

Responses

Successful Response